ElectroNeek Documentation

Get a list of all Bot Runners

This returns the list of all Bot Runners that are connected to Orchestrator. You can filter the result by status, logged-in user, Bot Runner version, ID, or name.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runners

{region} may be: na, cis, apac, latam, emea

Authentication

Use an API Token from the Orchestrator → Integrations page. Send it as a bearer token: Authorization: Bearer <token>.

query parameters

NameTypeRequiredDescription
statusstring (ready, in_progress, offline)noIt filters Bot Runners by status
login_asstringnoIt filters logged users by email, e.g., robot@electroneek.com
versionstringnoIt filters Bot Runners by version, e.g., 8.0.0
idsarray of stringnoIt filters by Bot Runner IDs.
namestringnoIt filters Bot Runners by the name, .e.g, MY-BOT-RUNNER-1

Response

200API returns the list of Bot Runners matching the filter criteria.
Response body
object
listarray of objects
object
iduuidrequired

ID of the Bot Runner

namestringrequired

Name of the Bot Runner

statusstring (ready, in_progress, offline)required

Status of the Bot Runner

versionstringrequired

Version of the Bot Runner

login_asobjectrequired

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringrequired

Name of the computer where Bot Runner is installed.

Updated